package com.miaxis.app.report.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 举报信息对象 report_info
 *
 * @author miaxis
 * @date 2021-01-06
 */
@Data
@TableName("report_info")
@ApiModel(value = "ReportInfo", description = "举报信息对象 report_info")
public class ReportInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @TableId(value = "id")
    @ApiModelProperty(value = "自增id")
    private Long id;

    /** 电话号码 */
    @Excel(name = "电话号码")
    @TableField("mobile")
    @ApiModelProperty(value = "电话号码")
    private String mobile;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    @TableField("report_content")
    @ApiModelProperty(value = "反馈内容")
    private String reportContent;

    /** 反馈类型 1-驾校相关 2-缴费问题 3-客户服务 4-题库问题 5-app体验 99-其他 */
    @Excel(name = "反馈类型 1-驾校相关 2-缴费问题 3-客户服务 4-题库问题 5-app体验 99-其他")
    @TableField("report_type")
    @ApiModelProperty(value = "反馈类型 1-驾校相关 2-缴费问题 3-客户服务 4-题库问题 5-app体验 99-其他")
    private Integer reportType;

    /** 投诉状态 1-未处理 2-已处理 */
    @Excel(name = "投诉状态 1-未处理 2-已处理")
    @TableField("status")
    @ApiModelProperty(value = "投诉状态 1-未处理 2-已处理")
    private Integer status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setMobile(String mobile){
        this.mobile = mobile;
    }

    public String getMobile(){
        return mobile;
    }
    public void setReportContent(String reportContent){
        this.reportContent = reportContent;
    }

    public String getReportContent(){
        return reportContent;
    }
    public void setReportType(Integer reportType){
        this.reportType = reportType;
    }

    public Integer getReportType(){
        return reportType;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mobile", getMobile())
            .append("reportContent", getReportContent())
            .append("reportType", getReportType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
